/*   ncbi.h
* ===========================================================================
*
*                            PUBLIC DOMAIN NOTICE                          
*               National Center for Biotechnology Information
*                                                                          
*  This software/database is a "United States Government Work" under the   
*  terms of the United States Copyright Act.  It was written as part of    
*  the author's official duties as a United States Government employee and 
*  thus cannot be copyrighted.  This software/database is freely available 
*  to the public for use. The National Library of Medicine and the U.S.    
*  Government have not placed any restriction on its use or reproduction.  
*                                                                          
*  Although all reasonable efforts have been taken to ensure the accuracy  
*  and reliability of the software and data, the NLM and the U.S.          
*  Government do not and cannot warrant the performance or results that    
*  may be obtained by using this software or data. The NLM and the U.S.    
*  Government disclaim all warranties, express or implied, including       
*  warranties of performance, merchantability or fitness for any particular
*  purpose.                                                                
*                                                                          
*  Please cite the author in any work or product based on this material.   
*
* ===========================================================================
*
* File Name:  ncbi.h
*
* Author:  Gish, Kans, Ostell, Schuler
*
* Version Creation Date:   1/1/91
*
* $Revision: 6.0 $
*
* File Description: 
*   	this includes typedefs, defines, and prototypes for the basic
*   	ncbi portable programming system
*
* Modifications:  
* --------------------------------------------------------------------------
* Date     Name        Description of modification
* -------  ----------  -----------------------------------------------------
*
*
* $Log: ncbi.h,v $
* Revision 6.0  1997/08/25 18:15:10  madden
* Revision changed to 6.0
*
* Revision 5.1  1997/05/09 16:01:20  vakatov
* "ncbicoll.[ch]" is not being used anywhere anymore -- remove it!
* Move "ncbiwww.h" and "wwwutils.c" from /network/www2(ncbiwww2.lib)
* to /corelib(ncbi.lib)
*
* Revision 5.0  1996/05/28 13:18:57  ostell
* Set to revision 5.0
*
 * Revision 4.0  1995/07/26  13:46:50  ostell
 * force revision to 4.0
 *
 * Revision 2.6  1995/05/15  18:45:58  ostell
 * added Log line
 *
*
*
* ==========================================================================
*/

#ifndef _NCBI_
#define _NCBI_

#include <ncbilcl.h>
#include <ncbistd.h>
#include <ncbimem.h>
#include <ncbimsg.h>
#include <ncbierr.h>
#include <ncbistr.h>
#include <ncbibs.h>
#include <ncbitime.h>
#include <ncbifile.h>
#include <ncbimath.h>
#include <ncbimisc.h>
#include <ncbiprop.h>
#include <ncbisgml.h>
#include <ncbienv.h>
#include <ncbiwww.h>
#include <ncbimain.h>

#endif
