/* $Id: ncbithri.h,v 6.0 1997/08/25 18:17:18 madden Exp $ */
/*****************************************************************************

    Name: ncbithri.h                                

    Description: Main function definitions for Multi-Thread API library.

    Author: Sergei Shavirin

   ***************************************************************************

                          PUBLIC DOMAIN NOTICE
              National Center for Biotechnology Information

    This software/database is a "United States Government Work" under the
    terms of the United States Copyright Act.  It was written as part of    
    the author's official duties as a United States Government employee
    and thus cannot be copyrighted.  This software/database is freely
    available to the public for use. The National Library of Medicine and
    the U.S. Government have not placed any restriction on its use or
    reproduction.

    Although all reasonable efforts have been taken to ensure the accuracy
    and reliability of the software and data, the NLM and the U.S.
    Government do not and cannot warrant the performance or results that
    may be obtained by using this software or data. The NLM and the U.S.
    Government disclaim all warranties, express or implied, including
    warranties of performance, merchantability or fitness for any
    particular purpose.

    Please cite the author in any work or product based on this material.

   ***************************************************************************

    Modification History:
           20 February of 1996 - Shavirin  -  originaly written

    Bugs and restriction on use:

    Notes:

*****************************************************************************/
#ifndef __NLM_THRI__
#define __NLM_THRI__ nlm_thri

/****************************************************************************/
/* INCLUDES */
/****************************************************************************/
#include <ncbilcl.h>

#if !defined(WIN32)  &&  !defined(WIN16) && !defined(WIN_MAC)
#include <unistd.h>
#endif

#if   defined(SOLARIS_THREADS_AVAIL)
#include <thread.h>
#include <signal.h>
#include <synch.h>

#elif defined (POSIX_THREADS_AVAIL)

#ifdef  _PTHREAD_USE_D4
#undef  _PTHREAD_USE_D4
#endif

#include <pthread.h>
#include <sched.h>
#include <signal.h>

#elif defined(WIN32)
#include <windows.h>
 
#endif

#endif /* __NLM_THRI__ */
